Package libxyz :: Package core :: Package logger :: Module logentry :: Class LogEntry

[hide private]
[frames] | no frames]

# Class LogEntry

source code

    ui.ListEntry --+
                   |
                  LogEntry

Log message entry

Instance Methods | [hide private]

__init__(self, msg, level, selected_attr, entry_attr=None, write_time=True) | source code

Method Details | [hide private]

### __init__(self, msg, level, selected_attr, entry_attr=None, write_time=True)
(Constructor)

source code

Parameters:
  - `msg` - Message
  - `level` - Log level
  - `selected_attr` - Atrribute of selected entry
  - `entry_attr` - Entry text attribute
  - `write_time` - Whether to write timestamp in entry